summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTristan Heaven <tristan@gentoo.org>2008-02-18 18:12:16 +0000
committerTristan Heaven <tristan@gentoo.org>2008-02-18 18:12:16 +0000
commite79b1e48303e75fcacb49db7e74151ad896eedd3 (patch)
tree82a20f3e036e226dff0b7caed156b4d24a9e9f8e /eclass
parentstable ppc64, bug 183498 (diff)
downloadhistorical-e79b1e48303e75fcacb49db7e74151ad896eedd3.tar.gz
historical-e79b1e48303e75fcacb49db7e74151ad896eedd3.tar.bz2
historical-e79b1e48303e75fcacb49db7e74151ad896eedd3.zip
modules can have names with spaces
Diffstat (limited to 'eclass')
-rw-r--r--eclass/games-ggz.eclass13
1 files changed, 7 insertions, 6 deletions
diff --git a/eclass/games-ggz.eclass b/eclass/games-ggz.eclass
index 60a531c93708..eff8cae6711e 100644
--- a/eclass/games-ggz.eclass
+++ b/eclass/games-ggz.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/games-ggz.eclass,v 1.1 2007/02/22 09:36:03 nyhm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/games-ggz.eclass,v 1.2 2008/02/18 18:12:16 nyhm Exp $
# For GGZ Gaming Zone packages
@@ -40,7 +40,9 @@ games-ggz_update_modules() {
[[ ${EBUILD_PHASE} == "postinst" ]] || [[ ${EBUILD_PHASE} == "postrm" ]] \
|| die "${FUNCNAME} can only be used in pkg_postinst or pkg_postrm"
- type -p ggz-config > /dev/null || return 1
+ # ggz-config needs libggz, so it could be broken
+ ggz-config -h > /dev/null || return 1
+
local confdir=${ROOT}/etc
local moddir=${ROOT}/${GGZ_MODDIR}
local dsc rval=0
@@ -50,9 +52,8 @@ games-ggz_update_modules() {
if [[ -d ${moddir} ]] ; then
ebegin "Installing GGZ modules"
cd "${moddir}"
- for dsc in $(find . -type f -name '*.dsc') ; do
- debug-print ${dsc}
- DESTDIR=${ROOT} ggz-config -Dim ${dsc} || rval=1
+ find . -type f -name '*.dsc' | while read dsc ; do
+ DESTDIR=${ROOT} ggz-config -Dim "${dsc}" || ((rval++))
done
eend ${rval}
fi